{% extends 'public_access/base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('user_registration/user_registration_without_invitation') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('user_registration/user_registration_without_invitation') }}
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-4 mb-4">
                {% if (userRegistrationType.name == 'SEEKER') %}
                    <h1>Als Suchende:r einer Fläche bzw. Immobilie registrieren</h1>
                    <h2 class="mb-3">LeAn® hilft Ihnen, die passende Fläche für Ihr Nutzungskonzept zu finden</h2>
                    Als Konzeptanbieter:in können Sie in der Leerstands- und Ansiedlungsmanagementplattform LeAn® der {{ operatorAccount.getName() }} ein Immobiliengesuch für Ihr Konzept einstellen.
                    Unser Team wird Ihnen in der Folge Exposés von passenden Objekten zukommen lassen und Sie können mit dem jeweiligen Anbieter oder uns in Kontakt treten. Dieser Service ist ein kostenfreies Angebot der {{ operatorAccount.getName() }}.
                    Um Ihr Gesuch einstellen zu können, müssen Sie einen Account einrichten. Bitte füllen Sie dazu das nachfolgende Formular aus. Alternativ können Sie Ihr Ansiedlungsgesuch über den <a href="{{ path('report_looking_for_property_request') }}">Gesuchsmelder</a> an uns senden.
                {% elseif (userRegistrationType.name == 'PROVIDER') %}
                    <h1>Als Anbieter:in einer Immobilie registrieren</h1>
                    <h2 class="mb-3">LeAn® hilft Ihnen, passgenaue Nachnutzer für Ihre Immobilie zu finden</h2>
                    Als Immobilienanbieter:in können Sie in der Leerstands- und Ansiedlungsmanagementplattform LeAn® der {{ operatorAccount.getName() }} Ihr(e) Immobilienangebot(e) einstellen.
                    Gibt es passende Gesuche von Unternehmen, die auf der Suche nach einer Immobilie in {{ operatorAccount.getAssignedPlace().getPlaceName() }} sind, stellen wir den Kontakt zwischen dem suchenden Unternehmen und Ihnen als Anbieter:in her.
                    Sie erhalten so passgenaue Interessenten, die den Standort {{ operatorAccount.getAssignedPlace().getPlaceName() }} mit ihren Konzepten aufwerten. Dieser Service ist ein kostenfreies Angebot der {{ operatorAccount.getName() }}.
                    Um Ihr Objekt einstellen zu können, müssen Sie einen Account einrichten. Bitte füllen Sie dazu das nachfolgende Formular aus. Alternativ können Sie Ihr Objekt über den <a href="{{ path('report_property_vacancy') }}">Leerstandsmelder</a> an uns senden.
                {% endif %}
            </div>

            {% include 'component/mdc_tab_bar_component.html.twig' with {
                'id': 'user_registration_person_type_mdc_tab_bar',
                'tabs': [
                    {'name': 'Privatperson', 'id': 'user_registration_natural_person_tab_button', 'active': false},
                    {'name': 'Unternehmen', 'id': 'user_registration_company_tab_button', 'active': false}
                ]
            } only %}

            <div id="user_registration_natural_person_form_container" class="d-none">
                <div class="p-4">
                    {{ form_start(naturalPersonUserRegistrationForm, {'attr': {'id': naturalPersonUserRegistrationForm.vars.id ~ '_form'}}) }}
                    {{ form_errors(naturalPersonUserRegistrationForm) }}
                    {% include 'user_registration/form/natural_person_user_registration_form.html.twig' with {
                        'form': naturalPersonUserRegistrationForm,
                        'userRegistrationType': userRegistrationType,
                        'errors': (errors is defined) ? errors : null
                    } only %}
                    <div class="d-flex">
                        <div class="ms-0">
                            {{ form_widget(naturalPersonUserRegistrationForm.save, {'label': 'ACCOUNT EINRICHTEN', 'id': naturalPersonUserRegistrationForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                            {{ form_row(naturalPersonUserRegistrationForm._token) }}
                            {{ form_end(naturalPersonUserRegistrationForm, {'render_rest': false}) }}
                        </div>
                        <div class="ms-2">
                            {% if (userRegistrationType.name == 'SEEKER') %}
                                <a href="{{ path('privacy_policy_seeker') }}" class="mdc-button mdc-button--leading" target="_blank">Datenschutzerklärung</a>
                            {% endif %}
                            {% if (userRegistrationType.name == 'PROVIDER') %}
                                <a href="{{ path('privacy_policy_provider') }}" class="mdc-button mdc-button--leading" target="_blank">Datenschutzerklärung</a>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
            <div id="user_registration_company_form_container" class="d-none">
                <div class="p-4">
                    {{ form_start(companyUserRegistrationForm, {'attr': {'id': companyUserRegistrationForm.vars.id ~ '_form'}}) }}
                    {{ form_errors(companyUserRegistrationForm) }}
                    {% include 'user_registration/form/company_user_registration_form.html.twig' with {
                        'form': companyUserRegistrationForm,
                        'userRegistrationType': userRegistrationType,
                        'errors': (errors is defined) ? errors : null
                    } only %}
                    <div class="d-flex">
                        <div class="ms-0">
                            {{ form_widget(companyUserRegistrationForm.save, {'label': 'ACCOUNT EINRICHTEN', 'id': companyUserRegistrationForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                            {{ form_row(companyUserRegistrationForm._token) }}
                            {{ form_end(companyUserRegistrationForm, {'render_rest': false}) }}
                        </div>
                        <div class="ms-2">
                            {% if (userRegistrationType.name == 'SEEKER') %}
                                <a href="{{ path('privacy_policy_seeker') }}" class="mdc-button mdc-button--leading" target="_blank">Datenschutzerklärung</a>
                            {% endif %}
                            {% if (userRegistrationType.name == 'PROVIDER') %}
                                <a href="{{ path('privacy_policy_provider') }}" class="mdc-button mdc-button--leading" target="_blank">Datenschutzerklärung</a>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
